> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onefirewall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Live IPv4

> This API is similar with the `IP addresses [FLAT]` however have some advantages and disadvantages in respect:

##### Advantages

1. Real time calculation of the OneFirewall Crime Score
2. Equipped with the new (v3.2) Scoring algorithm
3. Can be integrated into directly Fortigate, Checkpoint, etc..

##### Disadvantages

1. Use pagination (therefore you have to call multiple times the IP if the list is bigger than 10000)
2. Is relatively 6x slower than `IP addresses [FLAT]`



## OpenAPI

````yaml get /ipv4/{min_score}
openapi: 3.0.2
info:
  title: OneFirewall Alliance - OpenAPI 3.0
  description: >-
    The API documentation site serves as a comprehensive resource for developers
    looking to utilize the OneFirewall Platform's application programming
    interface (API). It offers in-depth information on API endpoints,
    parameters, responses, and authentication processes. Additionally, it
    features practical examples and code snippets to assist developers in
    integrating the API into their own applications. The website is crafted to
    be user-friendly, intuitive, and easily navigable, enabling developers to
    swiftly locate the necessary information to begin working with the API.
  termsOfService: https://onefirewall.com/eula.html
  contact:
    email: support@onefirewall.com
    url: https://onefirewall.com/contact.html
    name: Engineering Division
  license:
    name: ''
    url: ''
  version: V4.18.0
servers:
  - url: https://app.onefirewall.com/api/v1
    description: OneFirewall Server
    variables: {}
security: []
tags:
  - name: IPv4 Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: IoCs
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Tools
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: URL Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Domain Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Security Binary Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Secure VPN
    description: Secure VPN by OneFirewall
    externalDocs:
      description: ''
      url: ''
  - name: WCF Agent
    description: ''
    externalDocs:
      description: ''
      url: ''
externalDocs:
  description: http://docs.onefirewall.com
  url: http://app.onefirewall.com
paths:
  /ipv4/{min_score}:
    parameters:
      - in: path
        name: min_score
        description: Minimum WCF Crime Score Feeds
        schema:
          type: number
          exclusiveMinimum: true
          minimum: 0
          exclusiveMaximum: true
          maximum: 1001
        required: true
    get:
      tags:
        - IPv4 Feeds
      summary: Live IPv4
      description: >-
        This API is similar with the `IP addresses [FLAT]` however have some
        advantages and disadvantages in respect:


        ##### Advantages


        1. Real time calculation of the OneFirewall Crime Score

        2. Equipped with the new (v3.2) Scoring algorithm

        3. Can be integrated into directly Fortigate, Checkpoint, etc..


        ##### Disadvantages


        1. Use pagination (therefore you have to call multiple times the IP if
        the list is bigger than 10000)

        2. Is relatively 6x slower than `IP addresses [FLAT]`
      parameters:
        - in: query
          name: format
          description: >-
            CSV=the output is CSV, LIST=the output is a list of IPs separated by
            ‘,’
          schema:
            type: string
            enum:
              - CSV
              - LIST
        - in: query
          name: show_score
          description: >-
            show_score=yes will return the data with their respective score and
            if is manually or score based
          schema:
            type: string
            enum:
              - 'yes'
              - 'no'
        - in: query
          name: agid
          description: Agent ID
          schema:
            type: string
        - in: query
          name: plugin
          description: Plugin Name
          schema:
            type: string
        - in: query
          name: page
          description: >-
            A cursor that indicates the next page ID to access the next batch of
            data
          schema:
            type: string
      responses:
        '200':
          description: >+
            If the response header contains a variable with name next_page, use
            the value with the new request on the API in order to retreive the
            next batch of data for the same Score. If the header is not
            presented, means there no more data to return.

          headers: {}
          content:
            text/html:
              schema:
                type: string
              examples:
                example1:
                  value: |-
                    X.Y.Z.W
                    X.Y.Z.W
                    X.Y.Z.W
                    X.Y.Z.W
                    .....
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      description: Authorization Token
      name: Authorization

````